building error

Bug #1695210 reported by Miika Komu on 2017-06-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HIPL
Critical
Miika Komu

Bug Description

Reported in https://answers.launchpad.net/hipl/+question/632907.

[...]

so I installed following steps

1. bzr checkout lp:hipl
2. apt-get install autoconf automake libtool make gcc libssl-dev iptables-dev \
                  libnet-ip-perl libnet-dns-perl bzr
3. apt-get install xmlto doxygen check libconfig8-dev miredo
4. apt-get install fakeroot dpkg-dev debhelper devscripts

5. build hipl --> this command autoreconf --install
                                                              ./configure && make in the installed hipl source tree ( /home/accl/hipl )

but fail to build hipl on this command : ./configure && make

my error is

libcore/builder.h:143:5: error: unused parameter ‘hip_build_param_hip_transform’ [-Werror=unused-parameter]
 int hip_build_param_hip_transform(struct hip_common *,
     ^
libcore/builder.c:1736:1: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute_ ’ before ‘{’ token
 {
 ^
libcore/linkedlist.h:61:16: error: unused parameter ‘free_elem_fn’ [-Werror=unused-parameter]
 typedef void (*free_elem_fn)(void *ptr);
                ^
In file included from libcore/state.h:42:0,
                 from libcore/builder.h:43,
                 from libcore/crypto.h:47,
                 from libcore/builder.c:99:
..

I think that linker does not recognize hipl source tree header.

computer i'm using is
OS: ubuntu 4.4.0-75
gcc version : 5.4.0

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers